Skip to main content
Monitoring & Collection/Grafana Dashboards

GetDashboardVersionHistory

Retrieve the full version history of a dashboard including layout snapshots

GET/api/v1/monitoring/dashboards/{id}/versions

Operation ID

GetDashboardVersionHistory

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • id
    StringRequired

    UUID of the dashboard to retrieve version history for

Query Parameters

  • tenantId
    String

    UUID of the tenant owning the dashboard UUID of the tenant owning the dashboard

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • versionNumber
      Integer

      Version number of this dashboard snapshot

      Example: 2

    • layout
      List

      Layout for this resource

      Example: (nested array)

      • panelId
        String

        Unique identifier of the panel within the dashboard

        Example: panel-cpu-001

      • x
        Integer

        Horizontal grid position of the panel

        Example: 20

      • y
        Integer

        Vertical grid position of the panel

        Example: 20

      • w
        Integer

        Width of the panel in grid units

        Example: 12

      • h
        Integer

        Height of the panel in grid units

        Example: 8

    • title
      String

      Dashboard title at this version

      Example: VM Performance Overview

    • snapshotAt
      String

      Snapshot at

      Example: 2026-01-15T08:00:00Z

    • snapshotBy
      String

      User ID who created this version snapshot

      Example: user-001-abc